[arch-commits] Commit in xf86-video-sis/trunk (2 files)

Jan de Groot jgc at archlinux.org
Fri Nov 13 16:40:34 EST 2009


    Date: Friday, November 13, 2009 @ 16:40:34
  Author: jgc
Revision: 58753

upgpkg: xf86-video-sis 0.10.2-3
    Add upstream patch to fix issues on 650 and 760 chipsets (FS#12365)

Added:
  xf86-video-sis/trunk/fix-bios-read-on-650-760.patch
Modified:
  xf86-video-sis/trunk/PKGBUILD

--------------------------------+
 PKGBUILD                       |    7 +++++--
 fix-bios-read-on-650-760.patch |   23 +++++++++++++++++++++++
 2 files changed, 28 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-13 21:33:14 UTC (rev 58752)
+++ PKGBUILD	2009-11-13 21:40:34 UTC (rev 58753)
@@ -3,7 +3,7 @@
 
 pkgname=xf86-video-sis
 pkgver=0.10.2
-pkgrel=2
+pkgrel=3
 pkgdesc="X.org SiS video driver"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
@@ -14,14 +14,17 @@
 options=('!libtool')
 groups=('xorg-video-drivers')
 source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2
+        fix-bios-read-on-650-760.patch
         LICENSE)
 md5sums=('f04baa307e49e9f0e5a5c3d2e89a5576'
+         '827d289307badeae3778180ab19b7363'
          'e33e023e3d811d28a8ed3bfbd2bf5672')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/fix-bios-read-on-650-760.patch" || return 1
   ./configure --prefix=/usr \
-              --enable-dri || return 1
+      --enable-dri || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1
 

Added: fix-bios-read-on-650-760.patch
===================================================================
--- fix-bios-read-on-650-760.patch	                        (rev 0)
+++ fix-bios-read-on-650-760.patch	2009-11-13 21:40:34 UTC (rev 58753)
@@ -0,0 +1,23 @@
+From 8370499d4035ec7a5c8e1f1b04d5a6c404883442 Mon Sep 17 00:00:00 2001
+From: Matteo Delfino <kendatsuba at gmail.com>
+Date: Wed, 21 Oct 2009 14:26:45 +0000
+Subject: Fix BIOS read on 650 and 760. (#19070)
+
+Signed-off-by: Matteo Delfino <kendatsuba at gmail.com>
+Signed-off-by: Adam Jackson <ajax at redhat.com>
+---
+diff --git a/src/sis_driver.c b/src/sis_driver.c
+index 994b02d..b19e7a9 100644
+--- a/src/sis_driver.c
++++ b/src/sis_driver.c
+@@ -4099,6 +4099,8 @@ SISPreInit(ScrnInfoPtr pScrn, int flags)
+ 	     case SIS_315H:
+ 	     case SIS_330:
+ 	     case SIS_340:
++	     case SIS_650:
++	     case SIS_760:
+ 	     case XGI_40:     readpci = TRUE;
+ 			      break;
+ 	     case XGI_20:     readpci = TRUE;
+--
+cgit v0.8.2



More information about the arch-commits mailing list